Bug 813915 - Request to get python-psutil into epel-6
Request to get python-psutil into epel-6
Product: Fedora
Classification: Fedora
Component: python-psutil (Show other bugs)
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
Depends On:
Blocks: 818293
  Show dependency treegraph
Reported: 2012-04-18 14:29 EDT by Ralph Bean
Modified: 2012-05-26 18:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-26 18:08:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-18 14:29:17 EDT
python-psutil is a dependency of a tool we're building for the Messaging SIG's Fedora Message Bus.  It would be quite helpful if it could be maintained in epel as well.

I've identified that the spec file only needs to be changed a little to get this to work.  Specifically, the with_python3 global needs to be disabled.

Here is my first stab at a patch and an updated copy of the spec file.

Patch for spec:  http://threebean.org/rpm/0001-Added-a-conditional-around-with_python3-to-support-e.patch
Patched spec:    http://threebean.org/rpm/python-psutil.spec

If the Fedora maintainer of python-psutil is uninterested in maintaining it for el6, I'd be glad to co-maintain if possible.
Comment 1 Mohamed El Morabity 2012-05-03 07:47:59 EDT
Sorry for this late answer. I don't really want to maintain myself an EL-6 branch for python-psutil, but I'll be glad to let you manage it.
I'll request an EL-6 branch for python-psutil, with you as comaintainer.
Comment 2 Ralph Bean 2012-05-03 08:29:23 EDT
Sounds great!  Let me know if you need anything from me.
Comment 3 Fedora Update System 2012-05-03 10:29:20 EDT
python-psutil-0.4.1-3.el6 has been submitted as an update for Fedora EPEL 6.
Comment 4 Fedora Update System 2012-05-04 12:00:26 EDT
python-psutil-0.4.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 5 Fedora Update System 2012-05-26 18:08:53 EDT
python-psutil-0.4.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.